下一篇 » « 上一篇

phpMyAdmin远程PHP代码注入漏洞

作者:爱好者    时间:2008-01-22    来源:php之家    点击:32858    本文共1篇文章 字体:[ ]

phpMyAdmin远程PHP代码注入漏洞

涉及程序:
phpMyAdmin

描述:
phpMyAdmin远程PHP代码注入漏洞
 
详细:
phpMyAdmin是一个免费工具,为管理MySQL提供了一个WWW管理接口。

www.444p.com版权所有

phpMyAdmin存在PHP代码注入问题,远程攻击者可以利用这个eval()函数执行任意PHP命令。 www.444p.com版权所有

不过此漏洞只有当$cfg['LeftFrameLight']变量(config.inc.php文件)设置成FALSE时才有用。

php学习之家http://www.444p.com

phpMyAdmin在($cfg['Servers'][$i])数组变量中存储多个服务器配置,这些配置包含在config.inc.php文件中,信息包括主机、端口、用户、密码、验证类型等,但是由于$cfg['Servers'][$i]没有进行初始化,允许远程用户通过GET函数增加服务器的配置,如提交如下请求增加配置:

php学习之家

http://target/phpMyAdmin-2.5.7/left.php?server=4&cfg[Servers][host]=202.81.x.x&cfg[Servers][port]=8888&cfg[Servers][user]=alice .. www.444p.com php学习之家

而eval()函数中的$eval_string字符串允许执行PHP代码,攻击者可以增加服务器配置和提交特殊构建的表名,可导致包含的恶意PHP代码被执行。 本文来自 www.444p.com

受影响系统:
phpMyAdmin phpMyAdmin 2.5.7
 
攻击方法:
暂无有效攻击代码
 
解决方案:
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本: php学习之家http://www.444p.com

http://www.phpmyadmin.net www.444p.com php学习之家

发表评论
密码: (游客不需要密码)
记住我【Alt+S 或 Ctrl+Enter 快速提交】

搜索工具


《PHP教程》点击排行